#!/bin/sh

# This is same as example_2 except that here 
# were first forward project the original mri
# ground-truth image ../data/mri_groundtruth.mat
# and the reconstruct

# 1) FORWARD PROJECT THE IMAGE in data/mri_groundtruth.mat

../for ../data/mri_groundtruth.mat mri_sino.mat


# reconstruct at lower resolution, 128 pixels, flat inital condition ('none'),
#   Gaussian MRF prior (p=2.0), 35 iterations (-i 35)
#   output is in file ex1_recon.mat, ground truth is data/mri_groundtruth.mat

../emisnew -i 25 -s 1.0 -p 2.0 -f 200 -r 32 -I ../data/mri_sino.mat none ex3_recon_32.mat

../emisnew -i 15 -s 1.0 -p 2.0 -f 200 -r 64 -I ../data/mri_sino.mat ex3_recon_32.mat ex3_recon_64.mat

../emisnew -i 15 -s 1.0 -p 2.0 -f 200 -r 128   ../data/mri_sino.mat ex3_recon_64.mat ex3_recon.mat

