#include <mat.h>

int write_mat_float_image(
  float **img,        /* 2-D image of size img[ht][wd] */
  int   ht,           /* height of image */
  int   wd,           /* width of image */
  char  *matrix_name, /* name of matlab matrix */
  MATFile *fout       /* matlab mat file pointer */
  );

int write_mat_float_image_cor(
  float **img,        /* 2-D image of size img[ht][wd] */
  int   ht,           /* height of image */
  int   wd,           /* width of image */
  char  *matrix_name, /* name of matlab matrix */
  MATFile *fout       /* matlab mat file pointer */
  );

float **read_mat_float_image(
/* Returns pointer to 2-D image of size img[ht][wd] */
  int   *ht,           /* height of image */
  int   *wd,           /* width of image */
  char  *matrix_name,  /* name of matlab matrix */
  MATFile *fin         /* pointer to file */
  );


